body.modal-open {
  overflow: hidden;
}

.delba-modal {
  position: fixed;
  inset: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 11;
  background: rgba(0,0,0,.3);
  backdrop-filter: blur(10px);
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transition: var(--transition-modal);
}

.delba-modal.active {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

.delba-modal:not(.active) {
  opacity: 0 !important;
  visibility: hidden !important;
  pointer-events: none !important;
}

.delba-modal.active .dialog {
  transform: translateY(0);
}

.delba-modal .overlay {
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,.6);
}

.delba-modal .dialog {
  position: relative;
  max-height: calc(100svh - var(--header-height) - (2 * var(--spacing-32)));
  width: 100%;
  max-width: var(--width-container);
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: center;
  margin: 0 auto;
  margin-top: calc(var(--header-height) + var(--spacing-32));
  margin-bottom: var(--spacing-32);
  transform: translateY(-200%);
  transition: var(--transition-modal);
}

.delba-modal .dialog > .content {
  position: relative;
  overflow: hidden;
  border-radius: var(--radius-15);
}

.delba-modal .dialog.form-sent > .content {
  padding-bottom: calc(96 * var(--rpx));
}

.delba-modal .close {
  position: absolute;
  top: 0;
  right: 0;
  border: none;
  padding: 0;
  background: transparent;
  cursor: pointer;
  width: fit-content;
}

@media (max-width: 1023px) {
  .delba-modal .dialog {
    max-height: none;
    height: 100svh;
    margin: 0;
  }

  .delba-modal .dialog > .content {
    height: 100%;
    width: 100%;
    border-radius: 0;
  }
}


